3 ms·
The problem goes much deeper than just HTML fields - sometimes the punycode will be converted to Unicode and then get rejected further down the chain. For examp
by snowl 10y ago
The problem goes much deeper than just HTML fields - sometimes the punycode will be converted to Unicode and then get rejected further down the chain. For example, Google accepts punycode domains for custom email domains but will convert it to a Unicode domain name when receiving it. It handles most IDN domains fine, but it fails at domains with Emoji within it (my domain which fails is http://xn--p38h.ws http://xn--p38h.ws).
The real problem here is all the systems we use are more complex than people realize. Things like names (http://www.kalzumeus.com/2010/06/17/falsehoods-programmers-believe-about-names/ http://www.kalzumeus.com/2010/06/17/falsehoods-programmers-b...) & time (http://infiniteundo.com/post/25326999628/falsehoods-programmers-believe-about-time http://infiniteundo.com/post/25326999628/falsehoods-programm...) just cause issues that most developers will end up just ignoring, because in the end its just edge cases that will happen maybe once or twice, ever. Why put in the effort?
- AndyMcConachie 10y agoThe current standard for IDNs is IDNA2008, which does not allow emojis. There are some ccTLDs that don't abide by the IDNA standard, and I think you'll find different browsers will show the emoji and others won't. Permitted code points for gTLDs are listed here. http://www.iana.org/domains/idn-tables http://www.iana.org/domains/idn-tables So strictly speaking xn--p38h.ws is not an IDN, and Google is doing the right thing by not allowing it. This doesn't make your job any easier, of course. If you really want to explore this rabbit hole some good reading. RFC 4290 RFC 5891 RFC 6912 RFC 7940
- jacksonsabey 10y agoEmojis are disallowed in IDNA2008. \u1F63B is in the disallowed but you can still register it on some TLDs https://whois.domaintools.com/xn--238h.com https://whois.domaintools.com/xn--238h.com vs https://whois.domaintools.com/xn--238h.cf https://whois.domaintools.com/xn--238h.cf Gmail for example still allows me to email myself at \u1F63B.*.com or xn--238h.*.com http://unicode.org/reports/tr46/#Table_Data_File_Fields http://unicode.org/reports/tr46/#Table_Data_File_Fields You can see the complete list of characters here: ftp://ftp.unicode.org/%2F/Public/idna/8.0.0/IdnaMappingTable.txt